## org.apache.cassandra.thrift
Enum AuthenticationException._Fields

    java.lang.Object
      java.lang.Enum<AuthenticationException._Fields>
          org.apache.cassandra.thrift.AuthenticationException._Fields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AuthenticationException._Fields>, org.apache.thrift.TFieldIdEnum

Enclosing class:
  AuthenticationException

    public static enum AuthenticationException._Fields

extends java.lang.Enum<AuthenticationException._Fields>
implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Enum Constant Summary
`WHY`

Method Summary
`static AuthenticationException._Fields` `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
`static AuthenticationException._Fields` `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static AuthenticationException._Fields` `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`java.lang.String` `getFieldName()`
`short` `getThriftFieldId()`
`static AuthenticationException._Fields` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AuthenticationException._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WHY

    public static final AuthenticationException._Fields WHY

Method Detail

### values

    public static AuthenticationException._Fields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AuthenticationException._Fields c : AuthenticationException._Fields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AuthenticationException._Fields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### findByThriftId

    public static AuthenticationException._Fields findByThriftId(int fieldId)

  Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

    public static AuthenticationException._Fields findByThriftIdOrThrow(int fieldId)

  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

    public static AuthenticationException._Fields findByName(java.lang.String name)

  Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

    public short getThriftFieldId()

  Specified by:
    `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

    public java.lang.String getFieldName()

  Specified by:
    `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright © 2012 The Apache Software Foundation